c23456789 123456789 123456789 123456789 123456789 123456789 123456789 12
c
c     Program helix_gen.f
c
c     generate 2 helices
c
*MAIN
c
      program main
c
      integer nmax
      parameter (nmax = 2000)
      double precision t(nmax), x(nmax), y(nmax), z(nmax)
      double precision xrad1, yrad1, xrad2, yrad2, con1, con2
      double precision wpi, wsp, win, wtp
      integer i
c
      open (11, file = 'helix1.txt')
      open (12, file = 'helix2.txt')
      open (13, file = 'helix1_0.txt')
      open (14, file = 'helix2_0.txt')
c
      xrad1 = 1.0d0
      yrad1 = 1.0d0
      xrad2 = 1.0d0
      yrad2 = 1.0d0
      con1 = 1.0d0
      con2 = 1.0d0
c
      wpi = 3.14159265d0
      wpi = 6.0d0*wpi
c
      wsp = wpi/dble(450)
c
      do 100 i = 1, 451
         win = dble(i-1)*wsp
c        win = win**2/wpi
         t(i) = win
         x(i) = xrad1*dcos(win)
         y(i) = yrad1*dsin(win)
         z(i) = con1*win
         write(11,*) t(i), x(i), y(i), z(i)
         write(13,*) x(i), y(i), z(i)
  100 continue
c
      wpi = 3.14159265d0
      wpi = 10.0d0*wpi
c
      wsp = wpi/dble(750)
c
      do 200 i = 1, 751
         win = dble(i-1)*wsp
c        win = win**2/wpi
         t(i) = win
         x(i) = xrad2*dcos(win)
         y(i) = yrad2*dsin(win)
         z(i) = con2*win
         wtp = y(i)
         y(i) = x(i)
         x(i) = z(i)
         z(i) = wtp
         write(12,*) t(i), x(i), y(i), z(i)
         write(14,*) x(i), y(i), z(i)
  200 continue
c
      stop
      end
