function [gammabest,iter,Ecc,Ec,minE,strt_crve,Ropt] = ESD_core_alldim(stage,iten,scl,itop,f1,f2,t1,t2)

%fprintf('\n f1(1,1), f1(2,1) = %5.1f %5.1f \n', f1(1,1), f1(2,1));
%fprintf('\n f1(1,n), f1(2,n) = %5.1f %5.1f \n', f1(1,n), f1(2,n));
%pause

%
%
%imath=0;
%if(imath)
%  ispan=25
%  tic;
%  f1 = smooth(t1,b1,ispan);
%  f2 = smooth(t2,b2,ispan);
%  f1=f1';
%  f2=f2';
%  timing_smooth = toc;
%  timing_smooth
%end
%
%
%

q1 = curve_to_q(f1,t1);
q2 = curve_to_q(f2,t2);
%
%size(q1)
%size(q2)
%
[n1,N1] = size(f2);
if n1 == 1 R = 1; end
layrs = 12;
lstrp = 100;
mleng = 0.0007d0;
iopt = n1;
imuth = 0;
minE = 100000;
iter = 1;
tol = 0.0001;
Ec = 200000;
%
if (stage == 1)
   if scl == 0
      ctr_last = 0;
   else
      ctr_last = floor(N1/scl);
      if(ctr_last*scl == N1)
         ctr_last = ctr_last-1;
      end
   end
%
   if n1 ~= 1
      h = rotation_weights(q1,q2,t2);
   end
%tic;
   for ctr = 0:ctr_last
%
      if ctr == 0
         q2n = q2;
      else
         q2n = ShiftF(q2,scl*ctr);
      end
%
      if n1 ~= 1
         R = Compute_Best_Rotation(q1,q2n,h);
         q2ne = R*q2n;
      else
         q2ne = q2n;
%       [q2ne,R,mxtrc] = Compute_Best_Rotation(q1,q2n,h);
%ctr
%mxtrc
      end
%
      if(imuth)
         [new_gamma,pfly,pflp,Energy,laymx,lbnd,hbnd] = DP_MEX_WNDSTRP_ALLDIM(q2ne,q1,t2,t1,layrs,lstrp,mleng,iopt);
      else
         [new_gamma,pfly,pflp,Energy,laymx]= DP_MEX_WNDSTRP_ALLDIM(q2ne,q1,t2,t1,layrs,lstrp,mleng,iopt);
      end
%Energy
%
      f1n = spline(t1,f1,new_gamma);
%     if n1 == 1
%        f1n = spline(t1,f1,new_gamma);
%     else
%        f1n = Group_Action_by_Gamma_Coord(f1,new_gamma);
%     end
      q1n = curve_to_q(f1n,t2);
%
      if n1 ~= 1
         R = Compute_Best_Rotation(q1n,q2n,h);
         q2n = R*q2n;
%R
      end

      Ec = acos(InnerProd_Q(q1n,q2n,t2));
%Ec

      if Ec < minE
         gammabest = new_gamma;
         minE = Ec;
         strt_crve = scl*ctr;
         Ropt = R;
      end


%
%   Energy
%   pfly
%   pflp
%   laymx

   end
%
%
elseif (stage == 2)
   if scl == 0
      ctr_last = 0;
   else
      ctr_last = floor(N1/scl);
      if(ctr_last*scl == N1)
         ctr_last = ctr_last-1;
      end
   end
%
   if n1 ~= 1 || (n1 == 1 && scl ~= 0)
      h = rotation_weights(q1,q2,t2);
      q1n = q1;
   end
   iopn = 0;
%  itop = 20;
%tic;
   if itop > ctr_last+1 itop = ctr_last+1; end
%
   while (iopn == 0 && iter <= iten && abs(Ec-minE) > tol)
%fprintf('\n ************************ Ec, minE = %9.4f %9.4f \n',Ec,minE);
      iter = iter + 1;
      minE = Ec;
      if (iter > 2 && itop > 5)  itop = 5; end
%tic
      if n1 ~= 1 || (n1 == 1 && scl ~= 0)
         Rtop = zeros(n1,n1,itop);
         mxtop(1:itop) = -100000;
         istrt(1:itop) = 0;

         for ctr = 0:ctr_last
            if ctr == 0
               q2n = q2;
            else
               q2n = ShiftF(q2,scl*ctr);
            end
%
            [R,mxtrc] = Compute_Best_Rotation(q1n,q2n,h);

%           if ctr == 0
%              Rzer = R;
%              mzer = mxtrc;
%              izer =0;
%           end

            if mxtrc > mxtop(1)
               i = 1;
               while i < itop && mxtrc > mxtop(i+1)
                  mxtop(i) = mxtop(i+1);
                  istrt(i) = istrt(i+1);
                  Rtop(:,:,i) = Rtop(:,:,i+1);
                  i = i+1;
               end
               mxtop(i) = mxtrc;
               istrt(i) = scl*ctr;
               Rtop(:,:,i) = R;
            end
         end

%        mxtop(1) = mzer;
%        istrt(1) = izer;
%        Rtop(:,:,1) = Rzer;


      else
         iopn = 1;
         itop = 1;
         istrt(1) = 0;
         Rtop(1,1,1) = R;
      end
%toc
      Ec = 200000;
%tic
      for i = 1:itop
         R = Rtop(:,:,i);
%R
         strt_srve = istrt(i);
%strt_srve
%mxtop(i)

         if strt_srve ~= 0
            q2n = ShiftF(q2,strt_srve);
         else
            q2n = q2;
         end
         q2n = R*q2n;
%t
         if(imuth)
            [new_gamma,pfly,pflp,Energy,laymx,lbnd,hbnd] = DP_MEX_WNDSTRP_ALLDIM(q2n,q1,t2,t1,layrs,lstrp,mleng,iopt);
         else
            [new_gamma,pfly,pflp,Energy,laymx]= DP_MEX_WNDSTRP_ALLDIM(q2n,q1,t2,t1,layrs,lstrp,mleng,iopt);
         end
%Energy
%
         f1n = spline(t1,f1,new_gamma);
%        if n1 == 1
%           f1n = spline(t1,f1,new_gamma);
%        else
%           f1n = Group_Action_by_Gamma_Coord(f1,new_gamma);
%        end
         q1ne = curve_to_q(f1n,t2);
%
         Ecc = acos(InnerProd_Q(q1ne,q2n,t2));
%Ecc

         if Ecc < Ec
            q1n = q1ne;
            gammabest = new_gamma;
            Ec = Ecc;
            strt_crve = strt_srve;
            Ropt = R;
         end
%Ec
      end
%toc
%Ec
   end
   iter = iter-1;
   Ecc = minE;
   minE = Ec;
%Ropt
%strt_crve
%minE

%  fprintf('\n Number of while loop iterations and maximum number allowed = %2.0f %2.0f \n',iter,iten);
%  fprintf('\n Values of last two distances at the end of while loop = %9.4f %9.4f \n',Ecc,Ec);

%
%   Energy
%   pfly
%   pflp
%   laymx
%
%
elseif (stage == 3)
   q1n = q1;
%  itop = 20;

   [n2,N2] = size(q2);
   if n1 ~= n2
      error('Curves must be in the same d-dimensional space');
   end
   if N1 ~= N2
      error('Curves must have the same number of nodes');
   end

   N = N1-1;
   ctr_last = floor(N/scl);
   if(ctr_last*scl == N)
      ctr_last = ctr_last-1;
   end
%tic;
   if itop > ctr_last+1 itop = ctr_last+1; end
%
   while (iter <= iten && abs(Ec-minE) > tol)
%fprintf('\n ************************ Ec, minE = %9.4f %9.4f \n',Ec,minE);
      iter = iter + 1;
      minE = Ec;
      if (iter > 2 && itop > 5) itop = 5; end
%tic
      [Rtop,istrt] = FFT_Best_Rotation(q1n,q2,scl,itop,ctr_last);
%toc
      Ec = 200000;
%tic
      for i = 1:itop
         R = Rtop(:,:,i);
%R
         strt_srve = istrt(i);
%strt_srve

         if strt_srve ~= 0
            q2n = ShiftF(q2,strt_srve);
         else
            q2n = q2;
         end
         q2n = R*q2n;
%
         if(imuth)
            [new_gamma,pfly,pflp,Energy,laymx,lbnd,hbnd] = DP_MEX_WNDSTRP_ALLDIM(q2n,q1,t2,t1,layrs,lstrp,mleng,iopt);
         else
            [new_gamma,pfly,pflp,Energy,laymx]= DP_MEX_WNDSTRP_ALLDIM(q2n,q1,t2,t1,layrs,lstrp,mleng,iopt);
         end
%Energy
%
         f1n = spline(t1,f1,new_gamma);
%        if n1 == 1
%           f1n = spline(t1,f1,new_gamma);
%        else
%           f1n = Group_Action_by_Gamma_Coord(f1,new_gamma);
%        end
         q1ne = curve_to_q(f1n,t2);
%
         Ecc = acos(InnerProd_Q(q1ne,q2n,t2));
%Ecc

         if Ecc < Ec
            q1n = q1ne;
            gammabest = new_gamma;
            Ec = Ecc;
            strt_crve = strt_srve;
            Ropt = R;
         end
%Ec
      end
%toc
   end
   iter = iter-1;
   Ecc = minE;
   minE = Ec;
%Ropt
%strt_crve
%minE

%  fprintf('\n Number of while loop iterations and maximum number allowed = %2.0f %2.0f \n',iter,iten);
%  fprintf('\n Values of last two distances at the end of while loop = %9.4f %9.4f \n',Ecc,Ec);

%
%   Energy
%   pfly
%   pflp
%   laymx
%
end

%fprintf('\n \n');

%minE
%timing_gamma = toc
%
%if(imuth)
%   [n1,lowerbnd_N] = size(lbnd);
%   [n2,upperbnd_N] = size(hbnd);
%   lowerbnd_N
%   upperbnd_N
%   figure;
%   plot(lbnd(1,:),lbnd(2,:),'g.',hbnd(1,:),hbnd(2,:),'g.');
%   figure;
%   plot(lbnd(1,:),lbnd(2,:),'g.',hbnd(1,:),hbnd(2,:),'g.',t,new_gamma,'b-');
%end
%
