function [Rtop,istrt] = FFT_Best_Rotation(q1,q2,scl,itop,ctr_last)

[n,N] = size(q1);
%[n2,N2] = size(q2);
%if n ~= n2
%   error('Curves must be in the same d-dimensional space');
%end
%if N ~= N2
%   error('Curves must have the same number of nodes');
%end

B = zeros(n,n,N-1);

for k = 1:n
   for j = 1:n
      for l = 1:N-1
         q1k(l) = q1(k,N-l+1);
         q2j(l) = q2(j,l);
      end
      B(k,j,:) = ifft(fft(q1k).*fft(q2j));
   end
end

Rtop = zeros(n,n,itop);
mxtop(1:itop) = -100000;
istrt(1:itop) = 0;

for ctr = 0:ctr_last
   l = scl*ctr+1;
   A = B(:,:,l);
   [U,S,V] = svd(A);

   detuv = det(U*V);
%fprintf('\n determinant of U*V = %5.1f \n', detuv);
%if det(A) > 0
   if detuv > 0
      S = eye(n);
   else
      S = eye(n);
      S(:,end) = -S(:,end);
   end
   R = U*S*V';
   mxtrc = trace(R*A');

   if mxtrc > mxtop(1)
      i = 1;
      while i < itop && mxtrc > mxtop(i+1)
         mxtop(i) = mxtop(i+1);
         istrt(i) = istrt(i+1);
         Rtop(:,:,i) = Rtop(:,:,i+1);
         i = i+1;
      end
      mxtop(i) = mxtrc;
      istrt(i) = l-1;
      Rtop(:,:,i) = R;
   end

%   if l == 1
%      opttrc = mxtrc;
%      strt_crve = 0;
%   elseif mxtrc > opttrc
%      opttrc = mxtrc;
%      strt_crve = l-1;
%   end

end

