c23456789 123456789 123456789 123456789 123456789 123456789 123456789 12
c
c     Program helix_gen.f
c
c     generate 2 spherical ellipsoids
c
*MAIN
c
      program main
c
      integer nmax
      parameter (nmax = 50000)
      double precision t(nmax), x(nmax), y(nmax), z(nmax)
      double precision xrad1, yrad1, xrad2, yrad2, con1, con2
      double precision wpi, wsp, win, wtp
      integer i, n1, n2
c
      open (11, file = 'ellip1.txt')
      open (12, file = 'ellip2.txt')
      open (13, file = 'ellip1_0.txt')
      open (14, file = 'ellip2_0.txt')
c
      xrad1 = 1.3d0
      yrad1 = 1.0d0
      xrad2 = 1.0d0
      yrad2 = 1.3d0
      con1 = 2.0d0
      con2 = 2.0d0
c
      wpi = 3.14159265d0
      wpi = 2.0d0*wpi
c
      n1 = 46001
      wsp = wpi/dble(n1-1)
c
      do 100 i = 1, n1
         win = dble(i-1)*wsp
         win = win**2/wpi
         t(i) = win
         x(i) = xrad1*dcos(win)
         y(i) = yrad1*dsin(win)
c        y(i) = -y(i)
         z(i) = dsqrt(con1**2 - x(i)**2 - y(i)**2)
         if(i.eq.n1) then
           x(i) = x(1)
           y(i) = y(1)
           z(i) = z(1)
         endif
         write(11,*) t(i), x(i), y(i), z(i)
         write(13,*) x(i), y(i), z(i)
  100 continue
c
      wpi = 3.14159265d0
      wpi = 2.0d0*wpi
c
      n2 = 45001
      wsp = wpi/dble(n2-1)
c
      do 200 i = 1, n2
         win = dble(i-1)*wsp
c        win = win**2/wpi
         t(i) = win
         x(i) = xrad2*dcos(win)
         y(i) = yrad2*dsin(win)
         z(i) = dsqrt(con2**2 - x(i)**2 - y(i)**2)
         wtp = y(i)
         y(i) = x(i)
         x(i) = z(i)
         z(i) = wtp
         if(i.eq.n2) then
           x(i) = x(1)
           y(i) = y(1)
           z(i) = z(1)
         endif
         write(12,*) t(i), x(i), y(i), z(i)
         write(14,*) x(i), y(i), z(i)
  200 continue
c
      stop
      end
